#ifndef TSIMULATIONDATABEAM_HH
#define TSIMULATIONDATABEAM_HH

#include "TObject.h"
#include "TVector3.h"

class TSimulationDataBeam;
typedef std::vector<TSimulationDataBeam> TSimulationDataBeamArray;

extern TSimulationDataBeamArray* gSimulationDataBeamArray;

class TSimulationDataBeam : public TObject
{
public:
  TSimulationDataBeam();
  TSimulationDataBeam(Int_t primaryParticleID, Int_t pdgCode,
		      Double_t mass, Double_t charge,
		      TVector3 momentum, TVector3 position, Double_t time);
  virtual ~TSimulationDataBeam();

  friend ostream& operator<<(ostream& out,  const TSimulationDataBeam& simulationDataBeam);

public:
  Int_t fPrimaryParticleID;
  Int_t fPDGCode;
  Double_t fMass;
  Double_t fCharge;
  TVector3 fMomentum;
  TVector3 fPosition;
  Double_t fTime;

  ClassDef(TSimulationDataBeam, 1)
};

#endif
