#ifndef TSIMULATIONDATASCINTILLATOR_HH
#define TSIMULATIONDATASCINTILLATOR_HH

#include "TObject.h"
#include "TString.h"
#include "TVector3.h"

#include <vector>

class TSimulationDataScintillator;
typedef std::vector<TSimulationDataScintillator> TSimulationDataScintillatorArray;

extern TSimulationDataScintillatorArray* gSimulationDataScintillatorArray;

class TSimulationDataScintillator : public TObject
{
public:
  TSimulationDataScintillator();
  TSimulationDataScintillator(TString moduleName, std::vector<Int_t> moduleID,
			      Int_t primaryParticleID, Int_t pdgCode, TString particleName, TString processName,
			      TVector3 position, TVector3 momentum,
			      Double_t kineticEnergy, Double_t time, Double_t energyDeposit);
  virtual ~TSimulationDataScintillator();

  friend ostream& operator<<(ostream& out,  const TSimulationDataScintillator& simulationDataScintillator);

public:
  TString fModuleName;
  std::vector<Int_t> fModuleID;
  Int_t fPrimaryParticleID;
  Int_t fPDGCode;
  TString fParticleName;
  TString fProcessName;
  TVector3 fPosition;
  TVector3 fMomentum;
  Double_t fKineticEnergy;
  Double_t fTime;
  Double_t fEnergyDeposit;

  ClassDef(TSimulationDataScintillator, 1)
};

#endif
