
#include "TSimulationDataScintillator.hh"

#include <iostream>
#include <algorithm>
#include <iterator>

ClassImp(TSimulationDataScintillator)

TSimulationDataScintillatorArray* gSimulationDataScintillatorArray = 0;

std::ostream& operator<<(std::ostream& out, const TSimulationDataScintillator& simulationDataScintillator)
{
  out << simulationDataScintillator.fModuleName << " ";
  std::vector<Int_t> id = simulationDataScintillator.fModuleID;
  std::copy(id.begin(), id.end(), std::ostream_iterator<Int_t>(out, " "));
  out << simulationDataScintillator.fPrimaryParticleID << " ";
  out << simulationDataScintillator.fPDGCode << " ";
  out << simulationDataScintillator.fParticleName << " ";
  out << simulationDataScintillator.fProcessName << " ";
  out << simulationDataScintillator.fPosition.X() << " ";
  out << simulationDataScintillator.fPosition.Y() << " ";
  out << simulationDataScintillator.fPosition.Z() << " ";
  out << simulationDataScintillator.fMomentum.X() << " ";
  out << simulationDataScintillator.fMomentum.Y() << " ";
  out << simulationDataScintillator.fMomentum.Z() << " ";
  out << simulationDataScintillator.fKineticEnergy << " ";
  out << simulationDataScintillator.fTime << " ";
  out << simulationDataScintillator.fEnergyDeposit;

  return out;
}

TSimulationDataScintillator::TSimulationDataScintillator() : TObject()
{;}

TSimulationDataScintillator::TSimulationDataScintillator(TString moduleName, std::vector<Int_t> moduleID, 
							 Int_t primaryParticleID, Int_t pdgCode,
							 TString particleName, TString processName,
							 TVector3 position, TVector3 momentum,
							 Double_t kineticEnergy, Double_t time, Double_t energyDeposit)
  : TObject(),
    fModuleName(moduleName), fModuleID(moduleID),
    fPrimaryParticleID(primaryParticleID), fPDGCode(pdgCode),
    fParticleName(particleName), fProcessName(processName),
    fPosition(position), fMomentum(momentum), 
    fKineticEnergy(kineticEnergy), fTime(time), fEnergyDeposit(energyDeposit)
{;}

TSimulationDataScintillator::~TSimulationDataScintillator()
{;}
